import mongoose from 'mongoose';

export const config = Object.freeze({
  useUnifiedTopology: true,
  useNewUrlParser: true,
  socketTimeoutMS: 30000,
  keepAlive: true,
  poolSize: 50,
  autoIndex: false,
  retryWrites: false,
});

export const connect = () => {
  mongoose.connection.on('connected', () => {
    console.log('connected to database on port 27017');
  });

  mongoose.connection.on(
    'error',
    (err) => console.log(`database error: ${err}`),
  );

  mongoose.connect('mongodb://localhost:27017/utransform', config);
};
