import { httpListener } from '@marblejs/core';
import { logger$ } from '@marblejs/middleware-logger';
import { bodyParser$ } from '@marblejs/middleware-body';
import api$ from './api.effects';
import { cors$ } from '@marblejs/middleware-cors';
import output$ from './http.output';

const middlewares = [
  logger$(),
  bodyParser$(),
  cors$({
    origin: ['http://localhost:4200'],
    allowHeaders: ['Access-Control-Allow-Origin', 'Accept', 'Content-Type', 'Authorization'],
    withCredentials: false,
    methods: ['GET', 'POST', 'PUT', 'PATCH', 'DELETE', 'OPTIONS'],
  }),
];

const effects = [
  api$,
];

export default httpListener({
  middlewares,
  effects,
  output$,
});
