import { HttpOutputEffect } from '@marblejs/core';
import { map } from 'rxjs/operators';

const output$: HttpOutputEffect = (
  res$,
) => res$.pipe(
  map(({ res, req }) => {
    switch (req.headers['accept-incoding']) {
      default:
        if (res?.headers) {
          res.headers['Access-Control-Allow-Origin'] = 'http://localhost:4200';
        } else {
          res.headers = {
            'Access-Control-Allow-Origin': 'http://localhost:4200',
          };
        }

        return res;
    }
  }),
);

export default output$;