import { HelpDialogData } from '../help-dialog/help-dialog.types';

export const transformationHelp: { [name: string]: HelpDialogData } = {
  exploration: {
    title: 'Exploration',
    paragraphs: [
      `
      Select a transformation by clicking its corresponding letter in the list to the left of the equality sign.
      Selecting a transformation will display the matrix,
      and the sliders you can use to manipulate the values.
      Manipulating values will change the transformation applied to the purple object in the 3D scene.
      For adjusting the values more precisely,
      use the arrow keys on your keyboard after click the slider.
      TIP: You can also select a slider for using the arrow keys by using TAB to go to the next
      one, or Shift+TAB to go to the previous one.
      `,
      `
      To add a transformation click the plus sign.
      You get the option to add the transformation before and after the selected transformation.
      If a transformation was not selected when you pressed the add button,
      the new transformation will be added to the end of the list.
      `,
      `
      A selected transformation can be removed by clicking the red minus sign that appears once a transformation is selected.
      `,
    ],
  },
  application: {
    title: 'Application',
    paragraphs: [
      `
      Notice the transformations of the extra grey cube in the scene
      (you might have to zoom out a little to see it).
      Try to add transformations to the purple cube so that they overlap.
      `,
    ],
  },
  creation: {
    title: 'Creation',
    paragraphs: [
      `
      This activity allows you to manipulate the values in the matrix as you see fit.
      Clicking on a value will display a slider you can use to set the value.
      Experiment,
      and try to create matrices that match the transformations you have learned about in the earlier activites.
      `,
    ],
  },
  general: {
    title: 'Help',
    paragraphs: [
      `
      You can zoom in and out in the scene using the mouse-wheel.
      Moving the mouse while pressing the left mouse-button will rotate the camera around (0, 0).
      `,
      `
      The color coding of the axis is blue for Z,
      green for Y,
      and red for X.
      `,
    ],
  },
};
