import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { MatButtonModule } from '@angular/material/button';
import { MatIconModule } from '@angular/material/icon';
import { MatSelectModule } from '@angular/material/select';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatInputModule } from '@angular/material/input';
import { MatDialogModule } from '@angular/material/dialog';
import { MatSliderModule } from '@angular/material/slider';
import { TransformationComponent } from './transformation.component';
import { MatrixComponent } from '../matrix/matrix.component';
import { TransformationDialogComponent } from './transformation-dialog/transformation-dialog.component';
import { TransformationControlsComponent } from './transformation-controls/transformation-controls.component';
import { HelpDialogModule } from '../help-dialog/help-dialog.module';

const angularModules = [
  CommonModule,
  FormsModule,
];

const materialModules = [
  MatIconModule,
  MatButtonModule,
  MatFormFieldModule,
  MatSelectModule,
  MatInputModule,
  MatDialogModule,
  MatSliderModule,
  MatButtonModule,
];

const uTransformModules = [
  HelpDialogModule,
];

@NgModule({
  declarations: [
    TransformationComponent,
    MatrixComponent,
    TransformationDialogComponent,
    TransformationControlsComponent,
  ],
  imports: [
    ...angularModules,
    ...materialModules,
    ...uTransformModules,
  ],
  exports: [
    TransformationComponent,
  ],
})
export class TransformationModule { }
