import {
  Component,
  EventEmitter,
  Input,
  Output,
  ViewChild,
} from '@angular/core';
import { MatDialog } from '@angular/material/dialog';
import Transformation from 'src/app/models/matrices/transformation';
import constants from 'src/constants';
import { HelpDialogComponent } from '../../help-dialog/help-dialog.component';
import { TransformationComponent } from '../../transformation/transformation.component';
import { transformationHelp } from '../../transformation/transformation.help';

@Component({
  selector: 'app-viewer-controls',
  templateUrl: './viewer-controls.component.html',
  styleUrls: ['./viewer-controls.component.scss'],
})
export class ViewerControlsComponent {
  constructor(
    public dialog: MatDialog,
  ) { }

  @Input() problemsSolved = 0;

  @Input() explorationTime = 0;

  @Output() matrixUpdate = new EventEmitter<Transformation[]>();

  @Output() chooseApplication= new EventEmitter();

  @Output() chooseExploration = new EventEmitter();

  @Output() chooseCreation = new EventEmitter();

  problemThreshold = constants.problemThreshold;

  timeThreshold = constants.timeThreshold;

  @ViewChild('exploration') exploration: TransformationComponent;

  @ViewChild('application') application: TransformationComponent;

  @ViewChild('creation') creation: TransformationComponent;

  openHelpDialog() {
    const data = transformationHelp.general;

    this.dialog.open(
      HelpDialogComponent,
      {
        data,
      },
    );
  }
}
