import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { MatExpansionModule } from '@angular/material/expansion';
import { MatButtonModule } from '@angular/material/button';
import { MatIconModule } from '@angular/material/icon';
import { ViewerControlsComponent } from 'src/app/components/viewer/viewer-controls/viewer-controls.component';
import { TransformationModule } from '../../transformation/transformation.module';
import { HelpDialogModule } from '../../help-dialog/help-dialog.module';

const angularModules = [
  CommonModule,
];

const materialModules = [
  MatExpansionModule,
  MatButtonModule,
  MatIconModule,
];

const uTransformModules = [
  TransformationModule,
  HelpDialogModule,
];

@NgModule({
  declarations: [ViewerControlsComponent],
  imports: [
    ...angularModules,
    ...materialModules,
    ...uTransformModules,
  ],
  exports: [
    ViewerControlsComponent,
  ],
})
export class ViewerControlsModule { }
