import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { MatCardModule } from '@angular/material/card';
import { MatDividerModule } from '@angular/material/divider';
import { MatExpansionModule } from '@angular/material/expansion';
import { MatSnackBarModule } from '@angular/material/snack-bar';

import { ViewerComponent } from 'src/app/components/viewer/viewer.component';
import { TransformationModule } from 'src/app/components/transformation/transformation.module';

const angularModules = [
  CommonModule,
];

const materialModules = [
  MatCardModule,
  MatDividerModule,
  MatExpansionModule,
  MatSnackBarModule,
];

const uTransformModules = [
  TransformationModule,
];

@NgModule({
  declarations: [
    ViewerComponent,
  ],
  imports: [
    ...angularModules,
    ...materialModules,
    ...uTransformModules,
  ],
  exports: [
    ViewerComponent,
  ],
})
export class ViewerModule { }
