import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { MatDividerModule } from '@angular/material/divider';
import { MatDialogModule } from '@angular/material/dialog';
import { MatButtonModule } from '@angular/material/button';
import { ViewerControlsModule } from 'src/app/components/viewer/viewer-controls/viewer-controls.module';
import { ViewerModule } from 'src/app/components/viewer/viewer.module';
import { Activity3dComponent } from './activity3d.component';
import { FinishedApplicationDialogComponent } from '../finished-application-dialog/finished-application-dialog.component';

const angularModules = [
  CommonModule,
];

const materialModules = [
  MatDividerModule,
  MatDialogModule,
  MatButtonModule,
];

const uTransformModules = [
  ViewerControlsModule,
  ViewerModule,
];

@NgModule({
  declarations: [
    Activity3dComponent,
    FinishedApplicationDialogComponent,
  ],
  imports: [
    ...angularModules,
    ...uTransformModules,
    ...materialModules,
  ],
})
export class Activity3dModule { }
