import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';

import { MatInputModule } from '@angular/material/input';
import { MatButtonModule } from '@angular/material/button';
import { MatCardModule } from '@angular/material/card';

import { PageHeaderModule } from 'src/app/components/page-header/page-header.module';
import { LandingPageRoutingModule } from './landing-page-routing.module';
import { LoginComponent } from './login/login.component';
import { RegisterComponent } from './register/register.component';
import { LandingPageComponent } from './landing-page.component';

const angularModules = [
  CommonModule,
  FormsModule,
  ReactiveFormsModule,
];

const materialModules = [
  MatInputModule,
  MatCardModule,
  MatButtonModule,
];

const uTransformModules = [
  LandingPageRoutingModule,
  PageHeaderModule,
];

@NgModule({
  declarations: [
    LandingPageComponent,
    LoginComponent,
    RegisterComponent,
  ],
  imports: [
    ...angularModules,
    ...materialModules,
    ...uTransformModules,
  ],
  providers: [],
})
export class LandingPageModule { }
