import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import User from 'src/app/models/User';

const propsToViewMap: { [name: string]: string } = {
  name: 'name',
  email: 'email',
  explorationTime: 'minutes spent in exploration',
  problemsSolved: 'problems solved',
};

@Component({
  selector: 'app-profile',
  templateUrl: './profile.component.html',
  styleUrls: ['./profile.component.scss'],
})
export class ProfileComponent implements OnInit {
  user: User;

  constructor(
    private route: ActivatedRoute,
  ) { }

  ngOnInit(): void {
    this.user = this.route.snapshot.data.user;
  }

  getUserData(): { [name: string]: number | string } {
    return Object.entries(this.user)
      .filter(([key]) => Object.keys(propsToViewMap).includes(key))
      .reduce((prev, [key, value]) => {
        prev[propsToViewMap[key]] = value;

        return prev;
      }, <{ [name: string]: number | string }>{});
  }
}
