import { NgModule } from '@angular/core';
import { RouterModule, Routes, UrlSegment } from '@angular/router';
import { Activity3dComponent } from '../features/activity3d/activity3d.component';
import { ProfileComponent } from '../features/profile/profile.component';
import { UserResolver } from '../user.resolver';
import { MainComponent } from './main.component';

const activitiesMatcher = (url: UrlSegment[]) => {
  if (url.length === 1) {
    const { path } = url[0];

    if (path === '' || path === 'activities') {
      return { consumed: url };
    }
  }

  return null;
};

const routes: Routes = [
  {
    path: '',
    component: MainComponent,
    children: [
      {
        matcher: activitiesMatcher,
        component: Activity3dComponent,
        resolve: {
          user: UserResolver,
        },
      },
      {
        path: 'profile',
        component: ProfileComponent,
        resolve: {
          user: UserResolver,
        },
      },
    ],
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export default class MainRoutingModule { }
