import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { MatSidenavModule } from '@angular/material/sidenav';
import { MatListModule } from '@angular/material/list';
import { MatButtonModule } from '@angular/material/button';
import { MatIconModule } from '@angular/material/icon';
import { MatToolbarModule } from '@angular/material/toolbar';

import { PageHeaderModule } from 'src/app/components/page-header/page-header.module';
import { RouterModule } from '@angular/router';
import { ViewerModule } from 'src/app/components/viewer/viewer.module';
import MainRoutingModule from './main-routing.module';
import { MainComponent } from './main.component';
import { Activity3dModule } from '../features/activity3d/activity3d.module';
import { ProfileModule } from '../features/profile/profile.module';

const angularModules = [
  CommonModule,
  RouterModule,
];

const materialModules = [
  MatButtonModule,
  MatIconModule,
  MatToolbarModule,
  MatListModule,
  MatSidenavModule,
];

const uTransformModules = [
  MainRoutingModule,
  PageHeaderModule,
  ViewerModule,
  Activity3dModule,
  ProfileModule,
];

@NgModule({
  declarations: [MainComponent],
  imports: [
    ...angularModules,
    ...materialModules,
    ...uTransformModules,
  ],
})
export class MainModule { }
