import { SliderData } from './transformation.types';
import Transformation2d from './transformation2d';

export default class Scale3d extends Transformation2d {
  get x() {
    return this._matrix.getValue(0, 0);
  }

  get y() {
    return this._matrix.getValue(1, 1);
  }

  set x(x: number) {
    this._matrix.setValue(x, 0, 0);
  }

  set y(y: number) {
    this._matrix.setValue(y, 1, 1);
  }

  get values(): SliderData {
    return {
      x: this.x,
      y: this.y,
    };
  }

  set(name: string, value: number | null): void {
    if (!value) {
      return;
    }

    switch (name) {
      case 'x':
        this.x = value;
        break;

      case 'y':
        this.y = value;
        break;

      default:
        break;
    }
  }

  isValue(row: number, col: number): boolean {
    const isX = row === 0 && col === 0;
    const isY = row === 1 && col === 1;

    return isX || isY;
  }

  resetValues() {
    this.x = 0;
    this.y = 0;
  }
}
