import Transformation2d from './transformation2d';
import { Axis, SliderData } from './transformation.types';

export default class Shear2d extends Transformation2d {
  private _axis: Axis;

  constructor(axis: Axis) {
    super();

    this._axis = axis;
  }

  get x() {
    switch (this._axis) {
      case 'y':
        return this.getValue(
          1,
          0,
        );

      default:
        return this.getValue(
          0,
          1,
        );
    }
  }

  set x(x: number) {
    switch (this._axis) {
      case 'y':
        this.setValue(
          x,
          1,
          0,
        );
        break;

      default:
        this.setValue(
          x,
          0,
          1,
        );
        break;
    }
  }

  get values(): SliderData {
    return {
      x: this.x,
    };
  }

  set(name: string, value: number | null): void {
    if (!value) {
      return;
    }

    if (name === 'x') {
      this.x = value;
    }
  }

  isValue(row: number, col: number): boolean {
    let isX = false;

    switch (this._axis) {
      case 'y':
        isX = row === 1 && col === 0;
        break;

      case 'x':
        isX = row === 0 && col === 1;
        break;

      default:
        break;
    }

    return isX;
  }

  resetValues() {
    this.x = 0;
  }
}
