export type Axis = 'x' | 'y';

export type Axis3d = 'z' | & Axis;

export enum TransformationTypes {
  'Translation',
  'Rotation',
  'Shear',
  'Scale',
}

export type TransformationKeys = keyof typeof TransformationTypes;

export interface TransformationDialogData {
  type: TransformationKeys;
  axis: Axis | Axis3d;
  dimension?: number;
  before: boolean;
  max: number;
}

export interface SliderEvent {
  value?: number | null;
  name: string;
}

export interface SliderData {
  [name: string]: number | null;
}
