import { SliderData } from './transformation.types';
import Transformation3d from './transformation3d';

export default class Translation3d extends Transformation3d {
  get x() {
    return this.getValue(0, 3);
  }

  get y() {
    return this.getValue(1, 3);
  }

  get z() {
    return this.getValue(2, 3);
  }

  set x(x: number) {
    this._matrix.setValue(x, 0, 3);
  }

  set y(y: number) {
    this._matrix.setValue(y, 1, 3);
  }

  set z(z: number) {
    this._matrix.setValue(z, 2, 3);
  }

  get values(): SliderData {
    return {
      x: this.x,
      y: this.y,
      z: this.z,
    };
  }

  set(name: string, value: number | null): void {
    if (value === null) {
      console.log('interrupted...');
      return;
    }

    switch (name) {
      case 'x':
        this.x = value;
        break;

      case 'y':
        this.y = value;
        break;

      case 'z':
        this.z = value;
        break;

      default:
        break;
    }
  }

  isValue(row: number, col: number): boolean {
    const isX = row === 0 && col === 3;
    const isY = row === 1 && col === 3;
    const isZ = row === 2 && col === 3;

    return isX || isY || isZ;
  }

  resetValues() {
    this.x = 0;
    this.y = 0;
    this.z = 0;
  }
}
