import { Injectable } from '@angular/core';
import {
  Resolve,
} from '@angular/router';
import { Observable } from 'rxjs';
import User from './models/User';
import { AuthenticationService } from './services/authentication.service';
import { UserService } from './services/user.service';

@Injectable({
  providedIn: 'root',
})
export class UserResolver implements Resolve<User> {
  constructor(
    private userService: UserService,
    private authService: AuthenticationService,
  ) { }

  resolve(): Observable<User> {
    return this.userService.getById(<string> this.authService.currentUserValue._id);
  }
}
