import defaultVertex from 'src/viewer/resources/shaders/defaultVertex';
import defaultFrag from 'src/viewer/resources/shaders/defaultFrag';
import lineVertex from 'src/viewer/resources/shaders/lineVertex';
import lineFrag from 'src/viewer/resources/shaders/lineFrag';

export const Shaders = Object.freeze({
  DEFAULT: {
    VERT: defaultVertex,
    FRAG: defaultFrag,
  },
  LINE: {
    VERT: lineVertex,
    FRAG: lineFrag,
  },
});

export const AttribNames = Object.freeze({
  DEFAULT: [
    'position',
    'normal',
    'uv',
  ],
  LINE: [
    'position',
    'color',
  ],
  THREED: [
    'position',
    'normal',
    'color',
  ],
  THREED_TEXT: [
    'position',
    'normal',
    'uv',
  ],
});

export const UniformNames = Object.freeze({
  DEFAULT: [
    'pMat',
    'mMat',
    'vMat',
    'nMat',
  ],
  LINE: [
    'pMat',
    'vMat',
    'mMat',
  ],
  THREE_D: [
    'pMat',
    'vMat',
    'mMat',
  ],
});

export const enum ProjectionMode {
  PERSPECTIVE,
  ORTHOGONAL,
}
