/**
 * canvas element
 */
import Element from './element';

/**
 * Creates a canvas element
 * @param {string} id id of the canvas
 * @param {string} className class of the canvas
 * @param {number} width width of the canvas
 * @param {number} height height of the canvas
 *
 * @returns {HTMLCanvasElement} created element
 */
const Canvas = (
  id: string,
  className: string,
  width: number,
  height: number,
): HTMLCanvasElement => <HTMLCanvasElement>
Element(
  'canvas',
  {
    id,
    className,
    width,
    height,
  },
  {
    display: 'block',
    margin: 0,
    'background-color': '#333',
  },
);

export default Canvas;
