export default `#version 300 es
precision mediump float;

in vec2 vUv;
in vec3 vNormal;

uniform sampler2D uSampler;

out vec4 fragCol;

void main()
{
    vec4 color = texture(uSampler, vUv);

    vec3 direction = -normalize(vec3(0.4));

    vec3 finalColor = vec3(color) * (vec3(0.6, 0.6, 0.6) + max(0.0, dot(normalize(vNormal), -direction)));

    fragCol = vec4(finalColor, 1.0);
}`;
